# www.pl, 3 Jul 1995 by Roger Espel Llima (orabidoo)
# for use with the sirc IRC client and with netscape for Unix

$www_url="www.eleves.ens.fr:8080/home/espel/sirc.html";

sub hook_www {
  $www_url=$& if (($_[1] || $_[0])  =~ /(http|ftp|telnet):\/\/[^ ]+/i); 
}
&addhook("public", "www");
&addhook("msg", "www");

sub cmd_www {
  system("netscape", "-remote", "openURL($www_url)");
}
&addcmd("www");

sub cmd_url {
  &tell("*\cbW\cb* The URL is: $www_url");
}
&addcmd("url");

